#ifndef _TixyTaxyTorxyCoordinate_H__
#define _TixyTaxyTorxyCoordinate_H__

#include "core/CoreIncludes.h"
#include "TixyTaxyTorxyCoordinate.h"
#include "gametypes/Deathmatch.h"
#include "TixyTaxyTorxy/TixyTaxyTorxyPrereqs.h"
#include "worldentities/pawns/SpaceShip.h"
namespace orxonox
{

//Class to save the Coordinates in a class instead of struct
//Convert 2d coordinates to 3d in order to set waypoints
    class _TixyTaxyTorxyExport TixyTaxyTorxyCoordinate
    {
        public:
            TixyTaxyTorxyCoordinate();
            TixyTaxyTorxyCoordinate(int x, int y);
            virtual ~TixyTaxyTorxyCoordinate() {};
            virtual void Set(int x, int y);
            virtual int GetX();
            virtual int GetY();
            virtual Vector3 get3dcoordinate();

        private:
            int _x;
            int _y;
    };

}

#endif /* _TixyTaxyTorxyCoordinate_H__ */
